Package org.apache.sling.junit.remote.testrunner

# Class SlingRemoteTestRunner

java.lang.Object
org.junit.runner.Runner
org.junit.runners.ParentRunner<org.apache.sling.junit.remote.testrunner.SlingRemoteTest>
org.apache.sling.junit.remote.testrunner.SlingRemoteTestRunner

All Implemented Interfaces:
  `org.junit.runner.Describable`, `org.junit.runner.manipulation.Filterable`, `org.junit.runner.manipulation.Orderable`, `org.junit.runner.manipulation.Sortable`

public class SlingRemoteTestRunner extends org.junit.runners.ParentRunner<org.apache.sling.junit.remote.testrunner.SlingRemoteTest>
JUnit TestRunner that talks to a remote Sling JUnit test servlet. Using this test runner lets a test class discover tests that the JUnit servlet can execute, execute them and report results exactly as if the tests ran locally.

## Constructor Summary

Constructors
Constructor
Description
`SlingRemoteTestRunner(Class<?> testClass)`

## Method Summary

Modifier and Type
Method
Description
`protected org.junit.runners.model.Statement`
`classBlock(org.junit.runner.notification.RunNotifier notifier)`
Similar to `ParentRunner.classBlock(org.junit.runner.notification.RunNotifier)` but will call the methods annotated with @After in addition.
`protected org.junit.runner.Description`
`describeChild(org.apache.sling.junit.remote.testrunner.SlingRemoteTest t)`
`protected List<org.apache.sling.junit.remote.testrunner.SlingRemoteTest>`
`getChildren()`
`protected void`
`runChild(org.apache.sling.junit.remote.testrunner.SlingRemoteTest t, org.junit.runner.notification.RunNotifier notifier)`

### Methods inherited from class org.junit.runners.ParentRunner

`childrenInvoker, classRules, collectInitializationErrors, createTestClass, filter, getDescription, getName, getRunnerAnnotations, getTestClass, isIgnored, order, run, runLeaf, setScheduler, sort, validatePublicVoidNoArgMethods, withAfterClasses, withBeforeClasses, withInterruptIsolation`

### Methods inherited from class org.junit.runner.Runner

`testCount`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SlingRemoteTestRunner

public SlingRemoteTestRunner(Class<?> testClass) throws org.junit.runners.model.InitializationError

Throws:
  `org.junit.runners.model.InitializationError`

## Method Details

### describeChild

protected org.junit.runner.Description describeChild(org.apache.sling.junit.remote.testrunner.SlingRemoteTest t)

Specified by:
  `describeChild` in class `org.junit.runners.ParentRunner<org.apache.sling.junit.remote.testrunner.SlingRemoteTest>`

### getChildren

protected List<org.apache.sling.junit.remote.testrunner.SlingRemoteTest> getChildren()

Specified by:
  `getChildren` in class `org.junit.runners.ParentRunner<org.apache.sling.junit.remote.testrunner.SlingRemoteTest>`

### runChild

protected void runChild(org.apache.sling.junit.remote.testrunner.SlingRemoteTest t, org.junit.runner.notification.RunNotifier notifier)

Specified by:
  `runChild` in class `org.junit.runners.ParentRunner<org.apache.sling.junit.remote.testrunner.SlingRemoteTest>`

### classBlock

protected org.junit.runners.model.Statement classBlock(org.junit.runner.notification.RunNotifier notifier)
Similar to `ParentRunner.classBlock(org.junit.runner.notification.RunNotifier)` but will call the methods annotated with @After in addition.

Overrides:
  `classBlock` in class `org.junit.runners.ParentRunner<org.apache.sling.junit.remote.testrunner.SlingRemoteTest>`